[**Flutter ETS API Documentation v1.0.0**](../../../README.md)

***

# Class: MessageChannelUtils

Utility class for message channel operations.

## Constructors

### Constructor

> **new MessageChannelUtils**(): `MessageChannelUtils`

#### Returns

`MessageChannelUtils`

## Methods

### resizeChannelBuffer()

> `static` **resizeChannelBuffer**(`messenger`, `channel`, `newSize`): `void`

Resizes a channel buffer.

#### Parameters

##### messenger

[`BinaryMessenger`](../../../plugin/common/BinaryMessenger/interfaces/BinaryMessenger.md)

The BinaryMessenger to use

##### channel

`string`

The channel name

##### newSize

`number`

The new buffer size

#### Returns

`void`
